use super::SetOption;

#[derive(Debug)]
pub struct X86_64Options {
    pub disable_hpet: bool,
}

impl Default for X86_64Options {
    fn default() -> Self {
        Self {
            disable_hpet: false,
        }
    }
}

impl SetOption for X86_64Options {
    fn set_key_value(&mut self, _key: &str, _value: &str) -> bool {
        false
    }

    fn set_flag(&mut self, value: &str) -> bool {
        match value {
            "disable-hpet" => {
                self.disable_hpet = true;
                true
            }
            _ => false,
        }
    }
}
